import { OnInit, EventEmitter } from '@angular/core';
export declare class EventJoinSidebarComponent implements OnInit {
    /**
     * Current Preview Layout
     */
    currentPreviewLayout: string;
    /**
     * Font Familty options constant
     */
    fontFamilyOptions: any;
    /**
     * Mobile bindings
     */
    topMarginWebMobileBind: boolean;
    fontSizeWebMobileBind: boolean;
    lineHeightWebMobileBind: boolean;
    /**
     * Input
     * @param model
     */
    model: {
        focused: boolean;
        type: string;
        meta_data: any;
        sidebar_active: string;
    };
    /**
     * Output
     * @param Event
     */
    onSidebarBackClick: EventEmitter<any>;
    callParentContainer: EventEmitter<any>;
    /**
     * constructor
     */
    constructor();
    /**
     * NgOnint hook
     */
    ngOnInit(): void;
    /**
     * Get the current value of Preview Layout style
     */
    ngDoCheck(): void;
    sidebarBack(type?: string): void;
    changeColorPicker(event?: any): void;
    isUndefined(val?: any): boolean;
    callElementContainer(data: any): void;
}
